Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JCESecretKeyFactory.DESede

    java.lang.Object
      javax.crypto.SecretKeyFactorySpi
          org.bouncycastle.jce.provider.JCESecretKeyFactory
              org.bouncycastle.jce.provider.JCESecretKeyFactory.DESede

Enclosing class:
  JCESecretKeyFactory

public static class JCESecretKeyFactory.DESede
extends JCESecretKeyFactory

Nested Class Summary

Nested classes inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`JCESecretKeyFactory.DES, JCESecretKeyFactory.DESede, JCESecretKeyFactory.PBE_PKCS12, JCESecretKeyFactory.PBE_PKCS5`

Field Summary

Fields inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`algName`

Constructor Summary
`JCESecretKeyFactory.DESede()`

Method Summary
`protected javax.crypto.SecretKey` | `engineGenerateSecret(java.security.spec.KeySpec keySpec)`
`protected java.security.spec.KeySpec` | `engineGetKeySpec(javax.crypto.SecretKey key, java.lang.Class keySpec)`

Methods inherited from class org.bouncycastle.jce.provider.JCESecretKeyFactory
`engineTranslateKey`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCESecretKeyFactory.DESede

    public JCESecretKeyFactory.DESede()

Method Detail

### engineGetKeySpec

    protected java.security.spec.KeySpec engineGetKeySpec(javax.crypto.SecretKey key,
                                                          java.lang.Class keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGetKeySpec` in class `JCESecretKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

### engineGenerateSecret

    protected javax.crypto.SecretKey engineGenerateSecret(java.security.spec.KeySpec keySpec)
                                                   throws java.security.spec.InvalidKeySpecException

  Overrides:
    `engineGenerateSecret` in class `JCESecretKeyFactory`
  Throws:
    `java.security.spec.InvalidKeySpecException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.24
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD